import request from '/@/utils/request'

export function safetyRiskEventApi() {
    return {
        getSafetyRiskEventList: (data: object) => {
            return request({
                url: `/prevent/riskEvent/select/getRiskEventPage`,
                method: 'post',
                data:data
            });
        },
        addSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/insert/saveRiskEvent`,
                method: 'post',
                data:data
            });
        },
        modSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/update/updateRiskEvent`,
                method: 'post',
                data:data
            });
        },
        deleteSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/delete/deleteRiskEvent`,
                method: 'post',
                data:data
            });
        },
    }
}
